Page MenuHomePhabricator

[GOAL]: Testing practices & expose test coverage
Closed, ResolvedPublic

Description

Subgoals

  • Expose test coverage metrics on documentation site.
  • Expose test coverage metrics on each submitted patch.

Developing a testing culture

Why

Test coverage indicates what percentage of our code is tested and helps improve
the confidence and reliability when making changes.

Current situation

There's no (or little) insight into code coverage by our tests on our
properties.

We are fairly lax on adding and merging code without the proper coverage.

Objectives
  • Document how and expose test coverage of our properties.
  • Run coverage reports by patch. Notify.
  • Educate the team on the validity of a patch without tests. Training sessions.
  • Improve test coverage of the worst offender artifacts.
  • Ongoing mentoring and conversations, offsites, training
Estimated work

1 sprint ~25%

Related Objects

StatusAssignedTask
ResolvedJhernandez
OpenNone
ResolvedLegoktm
StalledNone
OpenNone
OpenNone
ResolvedJdlrobson
DuplicateNone
OpenNone
ResolvedLegoktm
DeclinedJdlrobson
DeclinedJdlrobson
DeclinedNone
ResolvedLegoktm
OpenNone
OpenJdlrobson
OpenNone
OpenNone
OpenJrbranaa

Event Timeline

Jhernandez claimed this task.
Jhernandez raised the priority of this task from to Normal.
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 11:27 AM
Jhernandez renamed this task from Testing practices & expose test coverage to [GOAL]: Testing practices & expose test coverage.Jul 31 2015, 4:26 PM
Jhernandez set Security to None.
jayvdb added a subscriber: jayvdb.Oct 15 2015, 9:05 AM
bd808 moved this task from Goals to To classify on the Reading-Web-Planning board.Dec 28 2015, 4:24 PM
Jdlrobson closed this task as Resolved.Tue, Sep 10, 11:59 PM
Jdlrobson added a subscriber: Jdlrobson.

Closing given that we have code coverage reports in MobileFrontend: https://doc.wikimedia.org/MobileFrontend/master/js/lcov-report/mobile.startup/Browser.js.html and we are achieving both of the goals